linux:
  system:
    enabled: true
    repo:
      mcp_opencontrail_repo:
        source: "deb [arch=amd64] http://mirror.mirantis.com/update/2019.2.0/opencontrail-4.1/{{ grains.get('oscodename') }} {{ grains.get('oscodename') }} main"
        architectures: amd64
        key_url: "http://mirror.mirantis.com/update/2019.2.0/opencontrail-4.1/{{ grains.get('oscodename') }}/archive-opencontrail-4.1.key"
      mcp_extra_repo:
        source: "deb [arch=amd64] http://mirror.mirantis.com/update/2019.2.0/extra/{{ grains.get('oscodename') }} {{ grains.get('oscodename') }} main"
        architectures: amd64
        key_url: "http://mirror.mirantis.com/update/2019.2.0/extra/{{ grains.get('oscodename') }}/archive-extra.key"
      # OC containers are build from nightly
      mcp_extra_repo_nightly:
        source: "deb [arch=amd64] http://mirror.mirantis.com/nightly/extra/{{ grains.get('oscodename') }} {{ grains.get('oscodename') }} main"
        architectures: amd64
        key_url: "http://mirror.mirantis.com/nightly/extra/{{ grains.get('oscodename') }}/archive-extra.key"
        pin:
        - pin: 'release a=nightly'
          priority: 1100
          package: '*'
      mirantis_openstack_repo:
        source: "deb http://mirror.mirantis.com/update/2019.2.0/openstack-queens/{{ grains.get('oscodename') }} {{ grains.get('oscodename') }} main"
        architectures: amd64
        key_url: "http://mirror.mirantis.com/update/2019.2.0/openstack-queens/{{ grains.get('oscodename') }}/archive-queens.key"
        pin:
        - pin: 'release l=queens'
          priority: 1050
          package: '*'
      mirantis_openstack_proposed_repo:
        source: "deb http://mirror.mirantis.com/update/proposed/openstack-queens/{{ grains.get('oscodename') }} {{ grains.get('oscodename') }} main"
        architectures: amd64
        key_url: "http://mirror.mirantis.com/update/proposed/openstack-queens/{{ grains.get('oscodename') }}/archive-queens.key"
        pin:
        - pin: 'release l=queens'
          priority: 1100
          package: '*'
